/*
 * Email Notify
 * Copyright: (C) 2008 by Antonio Nastasi
 * Email: sifcenter (at) gmail.it
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef EDITNOTIFICATION_H
#define EDITNOTIFICATION_H

#include "ui_editnotification.h"

#include <KConfigGroup>
#include <Phonon/MediaObject>

class EditNotification : public QWidget, public Ui::Notification
{
  Q_OBJECT
  public:
    EditNotification( QWidget* parent = 0 , KConfigGroup* generalGroup = 0 );
    ~EditNotification();
    void loadConfig();
    void saveConfig();

  private:
    KConfigGroup *generalGroup_;
    Phonon::MediaObject *media;

  private slots:
    void playSound();
    void finishedSound();
};

#endif
